# IBM Visualization Data Explorer Programmer's Reference

[ Bottom of Page | Previous Page | Next Page | Table of Contents | Partial Table of Contents | Index ]

### DXGetString

Function

Gets a pointer to the contents of a String Object.

Syntax
`
#include <dx/dx.h>
`

char *DXGetString(String s)

Functional Details

Returns a pointer to the `NULL`-terminated character string contained in a String Object `s`. The contents of the string must not be modified.

Return Value

Returns a pointer to the string value or returns `NULL` and sets an error code.

See Also

`DXNewString`

12.4 , "String Class".

[ Top of Page | Previous Page | Next Page | Table of Contents | Partial Table of Contents | Index ]
[Data Explorer Documentation | QuickStart Guide | User's Guide | User's Reference | Programmer's Reference | Installation and Configuration Guide ]

[Data Explorer Home Page]

[IBM Home Page | Order | Search | Contact IBM | Legal ]